API Explorer 6 endpoints

A test endpoint

POST /obp/dynamic-endpoint/test-dynamic-resource-doc/my_user/MY_USER_ID

OBPv4.0.0-test-dynamic-resource-doc No role required Dynamic-Resource-Doc

A test endpoint.

Just for debug method body of dynamic resource doc. better watch the following introduction video first

The endpoint return the response from PractiseEndpoint code. Here, code.api.DynamicEndpoints.dynamic.practise.PractiseEndpoint.process You can test the method body grammar, and try the business logic, but need to restart the OBP-API code .

User Authentication is Optional. The User need not be logged in.

URL Parameters:

MY_USER_ID: MY_USER_ID

JSON request body fields (3)
age
18
hobby
hobby
name
ACCOUNT_MANAGEMENT_FEE
JSON response body fields (3)
age
18
hobby
hobby
name
ACCOUNT_MANAGEMENT_FEE
Example request body
{
  "name": "ACCOUNT_MANAGEMENT_FEE",
  "age": 18,
  "hobby": []
}
Example success response
{
  "name": "ACCOUNT_MANAGEMENT_FEE",
  "age": 18,
  "hobby": []
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 test-dynamic-resource-doc Originally /test-dynamic-resource-doc/my_user/MY_USER_ID